net.sf.jasperreports.data.hibernate.spring

## Class SpringHibernateDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.hibernate.spring.SpringHibernateDataAdapterImpl

- All Implemented Interfaces:
    DataAdapter, SpringHibernateDataAdapter

      public class SpringHibernateDataAdapterImpl
      extends AbstractDataAdapter
      implements SpringHibernateDataAdapter

  Version:
    $Id: SpringHibernateDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringHibernateDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBeanId()`
    `java.lang.String` | `getSpringConfig()`
    `void` | `setBeanId(java.lang.String beanId)`
    `void` | `setSpringConfig(java.lang.String springConfig)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### SpringHibernateDataAdapterImpl

          public SpringHibernateDataAdapterImpl()

  - ### Method Detail

    - #### getSpringConfig

          public java.lang.String getSpringConfig()

      Specified by:
        `getSpringConfig` in interface `SpringHibernateDataAdapter`

    - #### setSpringConfig

          public void setSpringConfig(java.lang.String springConfig)

      Specified by:
        `setSpringConfig` in interface `SpringHibernateDataAdapter`

    - #### getBeanId

          public java.lang.String getBeanId()

      Specified by:
        `getBeanId` in interface `SpringHibernateDataAdapter`

    - #### setBeanId

          public void setBeanId(java.lang.String beanId)

      Specified by:
        `setBeanId` in interface `SpringHibernateDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com